function [c_L,c_L_ind,c_R,c_R_ind]=segments(pom_L,pom_R,peak)
%% Funkce segments - 3.detekční algoritmus, vstupem jsou jednotlivé soubory dat pro danou kinematickou proměnnou
% pro levou a pravou končetinu zvlášť, výstupem detekované extrémy pro obě končetiny -
% hodnota + pozice
% peak = 1 - hledá MINIMUM
% peak = 2 - hledá MAXIMUM

    for j=1:size(pom_L,1)                        % průběhy levá končetina
        x=pom_L(j,:);           
        delka=length(x);
        okno_d=10;
        pres=4;
        body=[];indexy=[];
        for i=1:pres:(delka-okno_d+1)
            sig=x(i:(i+okno_d-1));
            if peak==1      
                [p1,ind]=min(sig);
            else
                [p1,ind]=max(sig);
            end
            body=[body p1];
            indexy=[indexy ind+i-1];
        end        
        if peak==1
            [a,b]=min(body);
            c_L(j,1)=a;
            c_L_ind(j,1)=indexy(b);
        else
            [a,b]=max(body);
            c_L(j,1)=a;
            c_L_ind(j,1)=indexy(b);
        end
    end

    for j=1:size(pom_R,1)                    % průběhy pravá končetina
        x=pom_R(j,:);             
        delka=length(x);
        okno_d=10;
        pres=5;
        body=[];
        indexy=[];
        for i=1:pres:(delka-okno_d+1)
            sig=x(i:(i+okno_d-1));
            if peak==1      
                [p1,ind]=min(sig);
            else
                [p1,ind]=max(sig);
            end
            body=[body p1];
            indexy=[indexy ind+i-1];
        end
        if peak==1
           [a,b]=min(body);
            c_R(j,1)=a;
            c_R_ind(j,1)=indexy(b);
        else
            [a,b]=max(body);
             c_R(j,1)=a;
             c_R_ind(j,1)=indexy(b);
        end
        
    end

end